"use strict";

var _excluded = ["show", "tabsArray"];
function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
}
function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++) {
    arr2[i] = arr[i];
  }
  return arr2;
}
function _iterableToArrayLimit(arr, i) {
  var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"];
  if (null != _i) {
    var _s,
      _e,
      _x,
      _r,
      _arr = [],
      _n = !0,
      _d = !1;
    try {
      if (_x = (_i = _i.call(arr)).next, 0 === i) {
        if (Object(_i) !== _i) return;
        _n = !1;
      } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0) {
        ;
      }
    } catch (err) {
      _d = !0, _e = err;
    } finally {
      try {
        if (!_n && null != _i["return"] && (_r = _i["return"](), Object(_r) !== _r)) return;
      } finally {
        if (_d) throw _e;
      }
    }
    return _arr;
  }
}
function _arrayWithHoles(arr) {
  if (Array.isArray(arr)) return arr;
}
function _objectWithoutProperties(source, excluded) {
  if (source == null) return {};
  var target = _objectWithoutPropertiesLoose(source, excluded);
  var key, i;
  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
      target[key] = source[key];
    }
  }
  return target;
}
function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }
  return target;
}
define(['baja!', 'jquery', 'nmodule/honBACnetUtilities/rc/lib/react.production.min', 'nmodule/honBACnetUtilities/rc/lib/react-dom.production.min', 'lex!honBACnetUtilities', 'nmodule/honBACnetUtilities/rc/components/tabs/tabcontent', 'nmodule/honBACnetUtilities/rc/components/tabs/tabnavitem', 'nmodule/honBACnetUtilities/rc/components/commandpriorities/commandpriorities', 'nmodule/honBACnetUtilities/rc/es6/components/Alarming', 'nmodule/honBACnetUtilities/rc/components/Reference', 'nmodule/honBACnetUtilities/rc/components/otherproperties', 'nmodule/honBACnetUtilities/rc/components/CounterTab', 'css!nmodule/honBACnetUtilities/rc/css/tabscomponent'], function (baja, $, React, ReactDOM, lexicons, TabContent, TabNavItem, CommandPriorities, Alarming, Reference, OtherProperties, CounterTab) {
  var lex = lexicons[0];
  function TabsComponent(_ref) {
    var _ref$show = _ref.show,
      show = _ref$show === void 0 ? true : _ref$show,
      tabsArray = _ref.tabsArray,
      props = _objectWithoutProperties(_ref, _excluded);
    if (tabsArray.length == 0) {
      return;
    }
    var _React$useState = React.useState(tabsArray[0]),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      activeTab = _React$useState2[0],
      setActiveTab = _React$useState2[1];
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      "class": "tab"
    }, props.loadAlarmTab ? /*#__PURE__*/React.createElement(TabNavItem, {
      title: "Alarming",
      id: "alarming",
      activeTab: activeTab,
      setActiveTab: setActiveTab
    }) : null, props.loadCmdTab ? /*#__PURE__*/React.createElement(TabNavItem, {
      title: lex.get("BHonBacnetPointProperties.TabCommandPriorities"),
      id: "commandpriorities",
      activeTab: activeTab,
      setActiveTab: setActiveTab
    }) : null, props.loadCounterTab ? /*#__PURE__*/React.createElement(TabNavItem, {
      title: "Counters",
      id: "counters",
      activeTab: activeTab,
      setActiveTab: setActiveTab
    }) : null, props.loadRefTab ? /*#__PURE__*/React.createElement(TabNavItem, {
      title: "Reference",
      id: "reference",
      activeTab: activeTab,
      setActiveTab: setActiveTab
    }) : null, props.loadOtherTab ? /*#__PURE__*/React.createElement(TabNavItem, {
      title: "Other Properties",
      id: "other-properties",
      activeTab: activeTab,
      setActiveTab: setActiveTab
    }) : null), props.loadAlarmTab ? /*#__PURE__*/React.createElement(TabContent, {
      id: "alarming",
      activeTab: activeTab
    }, /*#__PURE__*/React.createElement(Alarming, _extends({}, props, {
      className: "Alarming",
      parentCallback: props.parentCallback
    }))) : null, props.loadCmdTab ? /*#__PURE__*/React.createElement(TabContent, {
      id: "commandpriorities",
      activeTab: activeTab
    }, /*#__PURE__*/React.createElement(CommandPriorities, _extends({
      className: "CommandPriorities"
    }, props))) : null, props.loadCounterTab ? /*#__PURE__*/React.createElement(TabContent, {
      id: "counters",
      activeTab: activeTab
    }, /*#__PURE__*/React.createElement(CounterTab, _extends({
      className: "CounterTab"
    }, props))) : null, props.loadOtherTab ? /*#__PURE__*/React.createElement(TabContent, {
      id: "other-properties",
      activeTab: activeTab
    }, /*#__PURE__*/React.createElement(OtherProperties, _extends({
      className: "OtherProperties",
      otherProps: props.otherProps,
      callBack: props.callBack,
      objectType: props.objectType
    }, props))) : null, props.loadRefTab ? /*#__PURE__*/React.createElement(TabContent, {
      id: "reference",
      activeTab: activeTab
    }, /*#__PURE__*/React.createElement(Reference, _extends({
      className: "Reference",
      referenceTab: props.referenceTab
    }, props))) : null));
  }
  return TabsComponent;
});
