"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
define(['baja!', 'jquery', 'nmodule/honBACnetUtilities/rc/lib/react.production.min', 'nmodule/honBACnetUtilities/rc/lib/react-dom.production.min', "nmodule/honBACnetUtilities/rc/HonBacnetUtils", "nmodule/honBACnetUtilities/rc/es6/components/MultistateAlarmingCondition", 'lex!honBACnetUtilities', 'css!nmodule/honBACnetUtilities/rc/css/alarming', 'css!nmodule/honBACnetUtilities/rc/css/commandpriorities'], function (baja, $, React, ReactDOM, HonBacnetUtils, MultistateAlarmingCondition, lexicons) {
  var lex = lexicons[0];
  var Alarming = /*#__PURE__*/function (_React$Component) {
    _inherits(Alarming, _React$Component);
    var _super = _createSuper(Alarming);
    function Alarming(props) {
      var _this;
      _classCallCheck(this, Alarming);
      _this = _super.call(this, props);
      _this.handleNotificationClassChange = function (e) {
        console.log(e.target.value);
        var jsonProperty = {
          propertyId: HonBacnetUtils.NOTIFICATION_CLASS,
          propertyValue: {
            value: e.target.value
          }
        };
        _this.props.parentCallback(jsonProperty);
        _this.setState({
          isEdit: true,
          sNotificationClass: jsonProperty.propertyValue.value
        });
      };
      _this.handleAlarmValueChange = function (e) {
        console.log(e.target.value);
        var jsonProperty = {
          propertyId: HonBacnetUtils.ALARM_VALUE,
          propertyValue: {
            value: e.target.value
          },
          isBinary: true,
          isNumeric: false,
          objectType: _this.props.objectType
        };
        _this.props.parentCallback(jsonProperty);
        _this.setState({
          isEdit: true,
          sAlarmValue: jsonProperty.propertyValue.value
        });
      };
      _this.highLimitOnChangeHandler = function (event) {
        _this.setState({
          isEdit: true,
          highLimit: event.target.value
        });
        var jsonProperty = {
          propertyId: HonBacnetUtils.HIGH_LIMIT,
          propertyValue: {
            value: event.target.value
          },
          objectType: _this.props.objectType,
          isBinary: false,
          isNumeric: true
        };
        _this.props.parentCallback(jsonProperty);
      };
      _this.onHighLimitEnable = function (event) {
        // this.state.isHighLimit = event.currentTarget.checked
        var tempVal = _this.state.isLowLimit;
        var jsonProperty = {
          propertyId: HonBacnetUtils.LIMIT_ENABLE,
          propertyValue: {
            highLimitEnable: !_this.state.isHighLimit,
            lowLimitEnable: tempVal
          },
          objectType: _this.props.objectType,
          isBinary: false,
          isNumeric: true
        };
        _this.props.parentCallback(jsonProperty);
        _this.setState(function (prevState) {
          return {
            isEdit: true,
            isHighLimit: !prevState.isHighLimit
          };
        });
      };
      _this.onLowLimitEnable = function (event) {
        // this.state.isLowLimit = event.currentTarget.checked;
        var tempVal = _this.state.isHighLimit;
        var jsonProperty = {
          propertyId: HonBacnetUtils.LIMIT_ENABLE,
          propertyValue: {
            highLimitEnable: tempVal,
            lowLimitEnable: !_this.state.isLowLimit
          },
          objectType: _this.props.objectType,
          isBinary: false,
          isNumeric: true
        };
        _this.props.parentCallback(jsonProperty);
        _this.setState(function (prevState) {
          return {
            isEdit: true,
            isLowLimit: !prevState.isLowLimit
          };
        });
      };
      _this.lowLimitOnChangeHandler = function (event) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.LOW_LIMIT,
          propertyValue: {
            value: event.target.value
          },
          isNumeric: true,
          isBinary: false
        };
        _this.props.parentCallback(jsonProperty);
        _this.setState({
          isEdit: true,
          lowLimit: event.target.value
        });
      };
      _this.alarmDelayOnChangeHandler = function (event) {
        var currentValue = event.currentTarget.value;
        //this.state.alarmDelay = currentValue;
        var jsonProperty = {
          propertyId: HonBacnetUtils.TIME_DELAY,
          propertyValue: {
            value: currentValue
          },
          objectType: _this.props.objectType,
          isNumeric: true,
          isBinary: false
        };
        _this.props.parentCallback(jsonProperty);
        _this.setState({
          isEdit: true,
          alarmDelay: currentValue
        });
      };
      _this.alarmDelayNormalOnChangeHandler = function (event) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.TIME_DELAY_NORMAL,
          propertyValue: {
            value: event.currentTarget.value
          }
        };
        _this.props.parentCallback(jsonProperty);
        _this.setState({
          isEdit: true,
          alarmDelayNormal: jsonProperty.propertyValue.value
        });
      };
      _this.deadBandOnChangeHandler = function (event) {
        var currentValue = event.currentTarget.value;
        var jsonProperty = {
          propertyId: HonBacnetUtils.DEADBAND,
          propertyValue: {
            value: currentValue
          },
          objectType: _this.props.objectType,
          isNumeric: true,
          isBinary: false
        };
        _this.props.parentCallback(jsonProperty);
        // this.state.deadBand = event.target.value;
        _this.setState({
          isEdit: true,
          deadBand: event.target.value
        });
      };
      _this.notifyTypeOnChangeHandler = function (event) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.NOTIFY_TYPE,
          propertyValue: {
            value: event.target.value
          },
          objectType: _this.props.objectType,
          isNumeric: false,
          isBinary: false
        };
        _this.props.parentCallback(jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.transitionOnChangeHandler = function (event) {
        var jsonProperty = {
          propertyId: HonBacnetUtils.TRANSITION,
          propertyValue: {
            value: event.target.value
          },
          objectType: _this.props.objectType,
          isNumeric: false,
          isBinary: false
        };
        _this.props.parentCallback(jsonProperty);
        _this.setState({
          isEdit: true
        });
      };
      _this.eventsOnChangeHandler = function (event) {
        var toOffNormal = _this.state.eventEnable.toOffNormal;
        var toFault = _this.state.eventEnable.toFault;
        var toNormal = _this.state.eventEnable.toNormal;
        if (event.target.id == "chkToOffNormal") {
          toOffNormal = event.currentTarget.checked;
        } else if (event.target.id == "chkToFault") {
          toFault = event.currentTarget.checked;
        }
        if (event.target.id == "chkToNormal") {
          toNormal = event.currentTarget.checked;
        }
        // this.state.eventEnable.toOffNormal = toOffNormal;
        // this.state.eventEnable.toFault = toFault;
        // this.state.eventEnable.toNormal = toNormal;
        var jsonProperty = {
          propertyId: HonBacnetUtils.EVENT_ENABLE,
          propertyValue: {
            toOffNormal: toOffNormal,
            toFault: toFault,
            toNormal: toNormal
          },
          objectType: _this.props.objectType,
          isNumeric: false,
          isBinary: false
        };
        _this.props.parentCallback(jsonProperty);
        _this.setState({
          isEdit: true,
          eventEnable: {
            toOffNormal: toOffNormal,
            toFault: toFault,
            toNormal: toNormal
          }
        });
      };
      _this.acknEventsOnChangeHandler = function (event) {
        var toOffNormal = _this.state.ackedTransitions.toOffNormal;
        var toFault = _this.state.ackedTransitions.toFault;
        var toNormal = _this.state.ackedTransitions.toNormal;
        if (event.target.id == "chkAckOffNormal") {
          toOffNormal = event.currentTarget.checked;
        } else if (event.target.id == "chkAckFault") {
          toFault = event.currentTarget.checked;
        }
        if (event.target.id == "chkAckNormal") {
          toNormal = event.currentTarget.checked;
        }
        // this.state.ackedTransitions.toOffNormal =  toOffNormal;
        // this.state.ackedTransitions.toFault = toFault;
        // this.state.ackedTransitions.toNormal = toNormal;
        var jsonProperty = {
          propertyId: HonBacnetUtils.ACKED_TRANSITIONS,
          propertyValue: {
            toOffNormal: toOffNormal,
            toFault: toFault,
            toNormal: toNormal
          },
          objectType: _this.props.objectType,
          isNumeric: false,
          isBinary: false
        };
        _this.props.parentCallback(jsonProperty);
        _this.setState({
          isEdit: true,
          ackedTransitions: {
            toOffNormal: toOffNormal,
            toFault: toFault,
            toNormal: toNormal
          }
        });
      };
      _this.state = {
        isHighLimit: false,
        isLowLimit: false,
        highLimit: 0,
        lowLimit: 0,
        deadBand: 0,
        isSuppressAlarm: false,
        isEdit: false,
        sNotificationClass: '',
        sAlarmValue: '',
        notifyType: '',
        eventEnable: {
          toNormal: false,
          toFault: false,
          toOffNormal: false
        },
        ackedTransitions: {
          toNormal: false,
          toFault: false,
          toOffNormal: false
        },
        alarmDelay: 0,
        alarmDelayNormal: 0,
        showNormalDelay: false
      };
      return _this;
    }
    _createClass(Alarming, [{
      key: "componentWillReceiveProps",
      value: function componentWillReceiveProps(nextProps, nextContext) {
        var _this2 = this;
        var edit = !nextProps.isSaved;
        var that = this;
        setTimeout(function () {
          if (!_this2.state.isEdit && !edit) {
            that.updateStates();
          }
        }, 300);
        if (this.state.isEdit != edit) {
          setTimeout(function () {
            that.setState({
              isEdit: edit
            });
          }, 300);
        }
      }
    }, {
      key: "componentDidMount",
      value: function componentDidMount() {
        if (!this.state.isEdit) {
          this.updateStates();
        }
      }
    }, {
      key: "handleSuppressAlarmCheck",
      value: function handleSuppressAlarmCheck(evt) {
        var chkValue = evt.currentTarget.checked;
        //this.state.isSuppressAlarm = chkValue;
        // this.setState({ isSuppressAlarm: chkValue });
        var delay = this.state.alarmDelay;
        var alarmDelay = '';
        var timeDelayDisabled = false;
        if (chkValue) {
          if (parseInt(delay) < 100000) {
            alarmDelay = 100000;
          }
          timeDelayDisabled = true;
        } else {
          if (parseInt(delay) == 100000 || delay == undefined) {
            alarmDelay = 10;
          }
          timeDelayDisabled = false;
        }
        var jsonProperty = {
          propertyId: HonBacnetUtils.TIME_DELAY,
          propertyValue: {
            value: alarmDelay
          },
          objectType: this.props.objectType,
          isNumeric: true,
          isBinary: false
        };
        this.props.parentCallback(jsonProperty);
        this.setState({
          isEdit: true,
          isSuppressAlarm: chkValue,
          alarmDelay: alarmDelay,
          timeDelayDisabled: timeDelayDisabled,
          alarmDelayNormal: alarmDelay
        });
      }
    }, {
      key: "getBacnetPropertyValue",
      value: function getBacnetPropertyValue(propId) {
        var value = null;
        var filteredProp = this.props.bacnetProperties.filter(function (a) {
          return a.propertyId == propId;
        });
        if (filteredProp.length > 0) {
          value = filteredProp[0].propertyValue;
        }
        return value;
      }
    }, {
      key: "updateStates",
      value: function updateStates() {
        var limitEnableProp = this.getBacnetPropertyValue(HonBacnetUtils.LIMIT_ENABLE);
        var chkHighLimitEnable = limitEnableProp != null ? limitEnableProp.highLimitEnabled : false;
        var chklowLimitEnable = limitEnableProp != null ? limitEnableProp.lowLimitEnabled : false;
        var selectedAlarmValue = this.getBacnetPropertyValue(HonBacnetUtils.ALARM_VALUE);
        var lowLimit = this.getBacnetPropertyValue(HonBacnetUtils.LOW_LIMIT);
        var highLimit = this.getBacnetPropertyValue(HonBacnetUtils.HIGH_LIMIT);
        var deadBand = this.getBacnetPropertyValue(HonBacnetUtils.DEADBAND);
        var alarmDelay = this.getBacnetPropertyValue(HonBacnetUtils.TIME_DELAY);
        var isNormalDelayExists = this.props.bacnetProperties.filter(function (a) {
          return a.propertyId == HonBacnetUtils.TIME_DELAY_NORMAL;
        }).length > 0;
        var alarmDelayNormal = 0;
        if (isNormalDelayExists) {
          var tempNormalDelay = this.getBacnetPropertyValue(HonBacnetUtils.TIME_DELAY_NORMAL);
          alarmDelayNormal = tempNormalDelay.timeDelayNormal;
        }
        var notificationClassSelected = this.getBacnetPropertyValue(HonBacnetUtils.NOTIFICATION_CLASS);
        var notifyType = this.getBacnetPropertyValue(HonBacnetUtils.NOTIFY_TYPE);
        var alarmDelayValue = 0;
        var suppressAlarm = false;
        if (alarmDelay != null) {
          alarmDelayValue = alarmDelay.timeDelay;
          suppressAlarm = alarmDelay.suppressAlarm;
        }
        var eventEnable = {
          toNormal: false,
          toFault: false,
          toOffNormal: false
        };
        var ackedTransitions = {
          toNormal: false,
          toFault: false,
          toOffNormal: false
        };
        var eventEnableTemp = this.getBacnetPropertyValue(HonBacnetUtils.EVENT_ENABLE);
        if (eventEnableTemp != null) {
          eventEnable = eventEnableTemp;
        }
        var ackTrans = this.getBacnetPropertyValue(HonBacnetUtils.ACKED_TRANSITIONS);
        if (ackTrans != null) {
          ackedTransitions = ackTrans;
        }
        this.setState({
          isHighLimit: chkHighLimitEnable,
          isLowLimit: chklowLimitEnable,
          highLimit: highLimit,
          lowLimit: lowLimit,
          sNotificationClass: notificationClassSelected,
          sAlarmValue: selectedAlarmValue,
          notifyType: notifyType,
          deadBand: deadBand,
          eventEnable: eventEnable,
          ackedTransitions: ackedTransitions,
          isSuppressAlarm: suppressAlarm,
          alarmDelay: alarmDelayValue,
          alarmDelayNormal: alarmDelayNormal,
          showNormalDelay: isNormalDelayExists
        });
      }
    }, {
      key: "render",
      value: function render() {
        var _this3 = this;
        var objType = this.props.objectType;
        var eventTimeToOffNormal = '';
        var eventTimeToNormal = '';
        var eventTimeToFault = '';
        var eventTimes = this.getBacnetPropertyValue(HonBacnetUtils.EVENT_TIME_STAMPS);
        if (eventTimes != null) {
          eventTimeToOffNormal = eventTimes.filter(function (a) {
            return a.eventTimeStampId == 1;
          }).length > 0 ? eventTimes.filter(function (a) {
            return a.eventTimeStampId == 1;
          })[0].value : '';
          eventTimeToFault = eventTimes.filter(function (a) {
            return a.eventTimeStampId == 2;
          }).length > 0 ? eventTimes.filter(function (a) {
            return a.eventTimeStampId == 2;
          })[0].value : '';
          eventTimeToNormal = eventTimes.filter(function (a) {
            return a.eventTimeStampId == 3;
          }).length > 0 ? eventTimes.filter(function (a) {
            return a.eventTimeStampId == 3;
          })[0].value : '';
        }
        var isMultiState = objType === "multiStateInput" || objType === "multiStateValue";
        var alarmValues = this.getBacnetPropertyValue(HonBacnetUtils.ALARM_VALUES);
        var faultValues = this.getBacnetPropertyValue(HonBacnetUtils.FAULT_VALUES);
        if (alarmValues == null || alarmValues.length == 0) {
          alarmValues = this.props.multiStateValues;
        }
        if (faultValues == null) {
          faultValues = [];
        }
        return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("fieldset", null, /*#__PURE__*/React.createElement("legend", null, lex.get("BHonBacnetPointProperties.OffNormalConditions")), /*#__PURE__*/React.createElement("div", {
          className: "col mb-6"
        }, isMultiState && /*#__PURE__*/React.createElement(MultistateAlarmingCondition, {
          alarmValues: alarmValues,
          faultValues: faultValues,
          multiStateValues: this.props.multiStateValues
        })), /*#__PURE__*/React.createElement("div", {
          className: "row m-3 gx-5 row-cols-1 row-cols-sm-1 row-cols-md-2 row-cols-lg-3"
        }, (objType === "analogInput" || objType === "analogOutput" || objType === "analogValue" || objType === "pulseConverter") && this.props.propIdSet.has(HonBacnetUtils.LIMIT_ENABLE) && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.LimitEnable")), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("div", {
          "class": "form-check form-check-inline"
        }, /*#__PURE__*/React.createElement("input", {
          className: "form-check-input",
          type: "checkbox",
          id: "chkHighLimitEnable",
          checked: this.state.isHighLimit,
          onChange: this.onHighLimitEnable
        }), /*#__PURE__*/React.createElement("label", {
          className: "form-check-label",
          "for": "chkHighLimitEnable"
        }, lex.get("BHonBacnetPointProperties.HighLimitEnable"))), /*#__PURE__*/React.createElement("div", {
          "class": "form-check form-check-inline"
        }, /*#__PURE__*/React.createElement("input", {
          className: "form-check-input",
          type: "checkbox",
          id: "chkLowLimitEnable",
          checked: this.state.isLowLimit,
          onChange: this.onLowLimitEnable
        }), /*#__PURE__*/React.createElement("label", {
          className: "form-check-label",
          "for": "chkLowLimitEnable"
        }, lex.get("BHonBacnetPointProperties.LowLimitEnable")))), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold",
          style: {
            display: 'block'
          }
        }, lex.get("BHonBacnetPointProperties.HighLimit")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control",
          value: this.state.highLimit,
          onChange: this.highLimitOnChangeHandler
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold",
          style: {
            display: 'block'
          }
        }, lex.get("BHonBacnetPointProperties.LowLimit")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control",
          value: this.state.lowLimit,
          onChange: this.lowLimitOnChangeHandler
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.DeadBand")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control",
          value: this.state.deadBand,
          onChange: this.deadBandOnChangeHandler
        }))), (objType === "binaryInput" || objType === "binaryValue") && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.AlarmValue")), /*#__PURE__*/React.createElement("select", {
          className: "form-select",
          "aria-label": "Default select example",
          onChange: this.handleAlarmValueChange
        }, this.props.multiStateValues.map(function (item) {
          return /*#__PURE__*/React.createElement("option", {
            value: item.value,
            selected: item.value == _this3.state.sAlarmValue
          }, item.text);
        }))), objType === "loop" && /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.DeadBand")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control",
          value: this.state.deadBand,
          onChange: this.deadBandOnChangeHandler
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.AlarmDelay")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control",
          value: this.state.alarmDelay,
          disabled: this.state.timeDelayDisabled,
          onChange: this.alarmDelayOnChangeHandler
        })), this.state.showNormalDelay ? /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointPropertiesHx.AlarmDelayNormal")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control",
          value: this.state.alarmDelayNormal,
          disabled: this.state.timeDelayDisabled,
          onChange: this.alarmDelayNormalOnChangeHandler
        })) : "", /*#__PURE__*/React.createElement("div", {
          className: "col mb-4 mt-4 pt-3"
        }, /*#__PURE__*/React.createElement("div", {
          className: "form-check form-check-inline"
        }, /*#__PURE__*/React.createElement("input", {
          className: "form-check-input",
          type: "checkbox",
          id: "inlineCheckbox2",
          checked: this.state.isSuppressAlarm,
          onChange: function onChange(e) {
            return _this3.handleSuppressAlarmCheck(e);
          }
        }), /*#__PURE__*/React.createElement("label", {
          className: "form-check-label",
          "for": "inlineCheckbox2"
        }, lex.get("BHonBacnetPointProperties.SuppressAlarm")))))), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("fieldset", null, /*#__PURE__*/React.createElement("legend", null, lex.get("BHonBacnetPointProperties.IntrinsicReporting")), /*#__PURE__*/React.createElement("div", {
          className: "row m-3 gx-5 row-cols-1 row-cols-sm-1 row-cols-md-2 row-cols-lg-3"
        }, /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.NotificationClass")), /*#__PURE__*/React.createElement("select", {
          className: "form-select",
          "aria-label": "Default select example",
          onChange: this.handleNotificationClassChange
        }, this.props.notificationClasses.map(function (item) {
          return /*#__PURE__*/React.createElement("option", {
            value: item.value,
            selected: item.value == _this3.state.sNotificationClass
          }, item.text);
        }))), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.NotifyType")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control",
          value: this.state.notifyType,
          disabled: true,
          onChange: this.notifyTypeOnChangeHandler
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }), /*#__PURE__*/React.createElement("div", {
          className: "col mb-1"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.Transitions"), ":")), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.ReportingEvents")), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("div", {
          "class": "form-check form-check-inline"
        }, /*#__PURE__*/React.createElement("input", {
          "class": "form-check-input",
          type: "checkbox",
          id: "chkToOffNormal",
          onChange: this.eventsOnChangeHandler,
          checked: this.state.eventEnable.toOffNormal
        }), /*#__PURE__*/React.createElement("label", {
          "class": "form-check-label",
          "for": "inlineCheckbox1"
        }, lex.get("BHonBacnetPointProperties.ToOffNormal"))), /*#__PURE__*/React.createElement("div", {
          "class": "form-check form-check-inline"
        }, /*#__PURE__*/React.createElement("input", {
          "class": "form-check-input",
          type: "checkbox",
          id: "chkToFault",
          checked: this.state.eventEnable.toFault,
          onChange: this.eventsOnChangeHandler
        }), /*#__PURE__*/React.createElement("label", {
          "class": "form-check-label",
          "for": "inlineCheckbox2"
        }, lex.get("BHonBacnetPointProperties.ToFault"))), /*#__PURE__*/React.createElement("div", {
          "class": "form-check form-check-inline"
        }, /*#__PURE__*/React.createElement("input", {
          "class": "form-check-input",
          type: "checkbox",
          id: "chkToNormal",
          checked: this.state.eventEnable.toNormal,
          onChange: this.eventsOnChangeHandler
        }), /*#__PURE__*/React.createElement("label", {
          "class": "form-check-label",
          "for": "inlineCheckbox1"
        }, lex.get("BHonBacnetPointProperties.ToNormal")))), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.AcknEvents")), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("div", {
          "class": "form-check form-check-inline"
        }, /*#__PURE__*/React.createElement("input", {
          "class": "form-check-input",
          type: "checkbox",
          id: "chkAckOffNormal",
          checked: this.state.ackedTransitions.toOffNormal,
          onChange: this.acknEventsOnChangeHandler,
          disabled: "true"
        }), /*#__PURE__*/React.createElement("label", {
          "class": "form-check-label",
          "for": "chkAckOffNormal"
        }, lex.get("BHonBacnetPointProperties.ToOffNormal"))), /*#__PURE__*/React.createElement("div", {
          "class": "form-check form-check-inline"
        }, /*#__PURE__*/React.createElement("input", {
          "class": "form-check-input",
          type: "checkbox",
          id: "chkAckFault",
          checked: this.state.ackedTransitions.toFault,
          onChange: this.acknEventsOnChangeHandler,
          disabled: "true"
        }), /*#__PURE__*/React.createElement("label", {
          "class": "form-check-label",
          "for": "chkAckFault"
        }, lex.get("BHonBacnetPointProperties.ToFault"))), /*#__PURE__*/React.createElement("div", {
          "class": "form-check form-check-inline"
        }, /*#__PURE__*/React.createElement("input", {
          "class": "form-check-input",
          type: "checkbox",
          id: "chkAckNormal",
          checked: this.state.ackedTransitions.toNormal,
          onChange: this.acknEventsOnChangeHandler,
          disabled: "true"
        }), /*#__PURE__*/React.createElement("label", {
          "class": "form-check-label",
          "for": "chkAckNormal"
        }, lex.get("BHonBacnetPointProperties.ToNormal")))), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.LastTransition"), ":")), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.ToOffNormal")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control",
          value: eventTimeToOffNormal,
          disabled: true
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.BackToNormal")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control",
          value: eventTimeToNormal,
          disabled: true
        })), /*#__PURE__*/React.createElement("div", {
          className: "col mb-4"
        }, /*#__PURE__*/React.createElement("label", {
          className: "form-label fw-bold"
        }, lex.get("BHonBacnetPointProperties.ToFault")), /*#__PURE__*/React.createElement("input", {
          type: "text",
          className: "form-control",
          value: eventTimeToFault,
          disabled: true
        })))));
      }
    }]);
    return Alarming;
  }(React.Component);
  return Alarming;
});
