"use strict";

define(["baja!", "jquery", "nmodule/honBACnetUtilities/rc/lib/react.production.min", "nmodule/honBACnetUtilities/rc/lib/react-dom.production.min", "nmodule/honBACnetUtilities/rc/HonBacnetUtils", "lex!honBACnetUtilities", "css!nmodule/honBACnetUtilities/rc/css/commandpriorities"], function (baja, $, React, ReactDOM, HonBacnetUtils, lexicons, TabContent, TabNavItem) {
  var lex = lexicons[0];
  var MultistateAlarmingCondition = function MultistateAlarmingCondition(_ref) {
    var _ref$multiStateValues = _ref.multiStateValues,
      multiStateValues = _ref$multiStateValues === void 0 ? [] : _ref$multiStateValues,
      _ref$alarmValues = _ref.alarmValues,
      alarmValues = _ref$alarmValues === void 0 ? [] : _ref$alarmValues,
      _ref$faultValues = _ref.faultValues,
      faultValues = _ref$faultValues === void 0 ? [] : _ref$faultValues;
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: "row",
      style: {
        textAlign: "center",
        marginLeft: "25px"
      }
    }, /*#__PURE__*/React.createElement("div", {
      className: "column"
    }, /*#__PURE__*/React.createElement("table", {
      className: "command-priorities-table small-first-col"
    }, /*#__PURE__*/React.createElement("thead", null, /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null, lex.get("BHonBacnetPointProperties.MSOffNormalConditions.StateText")), /*#__PURE__*/React.createElement("th", null, lex.get("BHonBacnetPointProperties.MSOffNormalConditions.IsAlarmCondition")), /*#__PURE__*/React.createElement("th", null, lex.get("BHonBacnetPointProperties.MSOffNormalConditions.IsFaultCondition")))), /*#__PURE__*/React.createElement("tbody", {
      className: "body-half-screen"
    }, multiStateValues.map(function (item, index) {
      return /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, item.text), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("input", {
        id: "alarmingCondition_" + index,
        className: "form-check-input",
        type: "checkbox",
        disabled: true,
        checked: alarmValues.filter(function (a) {
          return a.alarmId == item.value;
        }).length > 0 ? alarmValues.filter(function (a) {
          return a.alarmId == item.value;
        })[0].value : false
      })), /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement("input", {
        id: "faultCondition_" + index,
        className: "form-check-input",
        type: "checkbox",
        disabled: true,
        checked: faultValues.filter(function (a) {
          return a.faultId == item.value;
        }).length > 0 ? faultValues.filter(function (a) {
          return a.faultId == item.value;
        })[0].value : false
      })));
    }))))));
  };
  return MultistateAlarmingCondition;
});
