"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
define(['baja!', 'dialogs', 'jquery', "bajaScript/baja/ord/SlotPath", 'baja!honBACnetUtilities:HonBacnetNotificationClass', 'nmodule/honBACnetUtilities/rc/HonBacnetUtils', 'nmodule/honBACnetUtilities/rc/es6/components/HonBacnetCommonComponent', 'nmodule/honBACnetUtilities/rc/lib/react.production.min', 'nmodule/honBACnetUtilities/rc/lib/react-dom.production.min', 'nmodule/honBACnetUtilities/rc/es6/components/spinner/spinner', 'lex!honBACnetUtilities', 'nmodule/honBACnetUtilities/rc/components/tabs/tabscomponent'], function (baja, dialogs, $, SlotPath, HonBacnetNotificationClass, HonBacnetUtils, HonBacnetCommonComponent, React, ReactDOM, Spinner, lexicons, TabsComponent) {
  var lex = lexicons[0];
  var timeout = 500;
  var HonBacnetutilitiesProfile = /*#__PURE__*/function (_React$Component) {
    _inherits(HonBacnetutilitiesProfile, _React$Component);
    var _super = _createSuper(HonBacnetutilitiesProfile);
    function HonBacnetutilitiesProfile(props) {
      var _this;
      _classCallCheck(this, HonBacnetutilitiesProfile);
      _this = _super.call(this, props);
      _this.handleCallback = function (childData) {
        childData.pointId = _this.props.point.displayName;
        //point slot path ord to uniquely identify data in px
        childData.slotPath = _this.props.dataPoint.getSlotPath().getBody();
        _this.props.notifyData(childData);
        _this.setState({
          isEdit: true
        });
        if (childData.propertyId === HonBacnetUtils.PRESENT_VALUE && childData.mode !== undefined) {
          _this.setState({
            isManual: !childData.mode
          });
        }
      };
      _this.callBackHandler = function (e, childData) {
        var fieldValue = _objectSpread({}, _this.state.otherProps.fieldValue);
        fieldValue[e.target.name] = e.target.value;
        _this.setState(function (prevState) {
          return {
            otherProps: _objectSpread(_objectSpread({}, prevState.otherProps), {}, {
              fieldValue: fieldValue
            })
          };
        });
        _this.handleCallback(childData);
      };
      _this.commonCallBackHandler = function (childData, stateVal) {
        var _stateVal;
        if (((_stateVal = stateVal) === null || _stateVal === void 0 ? void 0 : _stateVal.isManual) === false) {
          stateVal = _objectSpread(_objectSpread({}, stateVal), {}, {
            presentValue: _objectSpread({}, _this.state.copyPresentValue)
          });
        }
        _this.setState(function (prevState) {
          return _objectSpread(_objectSpread({}, prevState), stateVal);
        });
        _this.handleCallback(childData);
      };
      _this.state = {
        isLoading: false,
        isLoadingProperties: false,
        presentValuePoint: null,
        manualOperatorPriorityValue: -1,
        isUserReadOnly: false,
        loadAlarmTab: false,
        loadCmdTab: false,
        loadRefTab: false,
        loadCounterTab: false,
        loadOtherTab: false,
        pointVariablesColl: null,
        presentValueDisabled: true,
        unitLabel: '',
        pointTypeId: '',
        multiStateValues: [],
        updatedPresentValue: "",
        bacnetDevice: null,
        notificationClasses: [],
        controllerName: "",
        deviceStatus: false,
        bacnetVirtualObject: null,
        pointName: "...",
        pointDescription: "",
        isMultiState: false,
        presentValue: {
          numericValue: 0,
          multiStateValue: ''
        },
        isAlarm: false,
        isOverridden: false,
        isFault: false,
        bacnetProperties: [],
        bacnetPropertyUpdatedTime: '',
        objectType: '',
        dropDownDisabled: true,
        commandPriorityProps: {
          V_1: '',
          V_2: '',
          V_3: '',
          V_4: '',
          V_5: '',
          V_6: '',
          V_7: '',
          V_8: '',
          V_9: '',
          V_10: '',
          V_11: '',
          V_12: '',
          V_13: '',
          V_14: '',
          V_15: ''
        },
        referenceTab: {
          fieldValue: {
            manipulatedVariableReference: {
              objectReferenceName: '',
              objectReferenceType: '',
              presentValue: 0,
              objectReferenceStatus: false,
              referenceObjectPath: ''
            },
            controlledVariableReference: {
              objectReferenceName: '',
              objectReferenceType: '',
              presentValue: 0,
              objectReferenceStatus: false,
              referenceObjectPath: ''
            },
            setpointVariableReference: {
              objectReferenceName: '',
              objectReferenceType: '',
              presentValue: 0,
              objectReferenceStatus: false,
              referenceObjectPath: ''
            }
          }
        },
        counterProps: {
          stateCounterValue: '',
          stateCountResetTime: '',
          runtimeCounterValue: '',
          runtimeLastResetTime: ''
        },
        otherProps: {
          fieldValue: {
            objectIdentifier: '',
            reliability: '',
            polarity: '',
            terminalPV: '',
            eventState: '',
            cOVIncrement: '',
            cOVPeriod: '',
            sensorOffset: '',
            outOfService: '',
            scaleFactor: '',
            count: '',
            updateTime: '',
            countChange: '',
            countBeforeChange: '',
            resoultion: '',
            updateInterval: '',
            activeText: '',
            inActiveText: '',
            proportional: '',
            integralConstant: '',
            derivateConstant: '',
            bias: '',
            maximumOutput: '',
            minimumOutput: '',
            action: '',
            priorityForWriting: '',
            safetyPosition: '',
            currentlyActivePriority: '',
            directReverse: '',
            dpIsSetpoint: false,
            eohEovOptimizationFlag: false,
            safetyValue: '',
            timeToOpen: '',
            timeToClose: '',
            adjustValue: ''
          }
        },
        relinquishDefault: '',
        isEdit: false,
        tabs: [],
        reqSent: false
      };
      return _this;
    }
    _createClass(HonBacnetutilitiesProfile, [{
      key: "componentDidMount",
      value: function componentDidMount() {
        var _this2 = this;
        var that = this;
        this.setState(function (prevState) {
          return {
            elementId: _this2.props.point.name,
            isLoading: true,
            isLoadingProperties: true
          };
        }, function () {
          that.loadPointProperties();
          that.loadDefaults();
          that.props.widgetThat.getSubscriber().attach("changed", function () {
            setTimeout(function () {
              that.updatePresentValue();
            }, 1000);
          });
          that.updatePresentValue();
          that.getBacnetDevice();
        });
      }
    }, {
      key: "updatePresentValue",
      value: function updatePresentValue() {
        var that = this;
        var bacnetVirtualObject = that.state.bacnetVirtualObject;
        //don't update if user started modifying values
        if (this.props.widgetThat.isModified()) {
          return;
        }
        if (bacnetVirtualObject !== null) {
          var pointNameVal = bacnetVirtualObject.get("objectName") !== null ? bacnetVirtualObject.get("objectName").get("value") : "...";
          if (pointNameVal !== null) {
            pointNameVal = SlotPath.unescape(pointNameVal);
            //   that.setState({ pointName: });
          } else {
            pointNameVal = "...";
            //  that.setState({ pointName: "..." });
          }

          var pValue = {
            numericValue: 0,
            multiStateValue: ''
          };
          pValue.numericValue = that.props.dataPoint.getOut().getValueDisplay();
          pValue.multiStateValue = that.props.dataPoint.getOut().getValueDisplay();

          //  that.setState({ presentValue: pValue });
          var status = baja.Status.make(that.props.dataPoint.getOut().getStatus().getBits());
          var statusFlagBits = null;
          if (bacnetVirtualObject.get("statusFlags") !== null) {
            if (bacnetVirtualObject.get("statusFlags").get("value") !== null) {
              statusFlagBits = bacnetVirtualObject.get("statusFlags").get("value").$bits;
            }
          }
          var isPointOverridden = statusFlagBits === null ? status.isOverridden : !!parseInt(statusFlagBits[2], 10);
          if (!isPointOverridden) {
            isPointOverridden = that.props.dataPoint.getOut().getStatusDisplay().toLowerCase().includes("overridden");
          }
          var isManual = false;
          var presentValueDisabled = true;
          if (isPointOverridden) {
            isManual = true;
            presentValueDisabled = false;
            //  that.setState({ isManual: true });
            // that.setState({ presentValueDisabled: false });
          } else {
            // that.setState({ isManual: false });
            //  that.setState({ presentValueDisabled: true });
          }
          //handle statusFlags
          // that.setState({ isAlarm: status.isAlarm() });
          // that.setState({ isFault: status.isFault() });
          // that.setState({ isOverridden: isPointOverridden });
          setTimeout(function () {
            that.setState({
              pointName: pointNameVal,
              presentValue: pValue,
              copyPresentValue: JSON.parse(JSON.stringify(pValue)),
              isManual: isManual,
              presentValueDisabled: presentValueDisabled,
              isAlarm: status.isAlarm(),
              isFault: status.isFault(),
              isOverridden: isPointOverridden
            });
          }, 100);
        }
      }
    }, {
      key: "loadDefaults",
      value: function loadDefaults() {}
    }, {
      key: "updateFacets",
      value: function updateFacets(bacnetDevice) {
        var that = this;
        if (bacnetDevice) {
          //Fill in list of NotificationClasses
          try {
            var sub = that.props.widgetThat.getSubscriber();
            baja.Ord.make("station:|" + bacnetDevice.getAlarms().getSlotPath()).get({
              subscriber: sub
            }).then(function (alarms) {
              var notificationClasses = [];
              alarms.getSlots().properties().isComponent().each(function (slot) {
                try {
                  if (slot.getType().is("honBACnetUtilities:HonBacnetNotificationClass")) {
                    //baja.outln("updateFacets: adding notifClass: " + slot.getName() + "; widget.options.length = " + widget[0].options);
                    var notificationComp = alarms.get(slot);
                    var classItem = {
                      value: notificationComp.getDisplay().toString().replace(/[^a-zA-Z0-9]/g, '').match(/\d+$/)[0],
                      text: notificationComp.getDisplayName()
                    };
                    notificationClasses.push(classItem);
                  }
                } catch (e) {
                  console.log(e);
                }
              });
              that.setState({
                notificationClasses: notificationClasses
              });
            });
          } catch (e) {
            console.log(e);
          }
        }
      }
    }, {
      key: "setPresentValueState",
      value: function setPresentValueState(comp) {
        this.setState({
          presentValuePoint: comp
        });
      }
    }, {
      key: "getBacnetDevice",
      value: function getBacnetDevice() {
        var that = this;
        var bacnetDevice = null;
        baja.Ord.make(this.props.point.ord.toString()).get().then(function (comp) {
          //save an instance of present value point
          that.setPresentValueState(comp);
          //presentValuePoint = comp;
          return comp.serverSideCall({
            typeSpec: "honBACnetUtilities:HonServerSideCallHandler",
            methodName: "findBacnetDevice",
            value: "comp" // This is the argument for the Server Side Call
          });
        }).then(function (response) {
          //once you get the bacnetDevice, subscribe to it to get status updates
          var sub = that.props.widgetThat.getSubscriber();
          baja.Ord.make("station:|" + response).get({
            subscriber: sub
          }).then(function (device) {
            bacnetDevice = device;
            that.setState({
              bacnetDevice: device
            }, function () {
              that.state.bacnetDevice.loadSlots();
            });
            //checkDeviceModel(bacnetDevice); // this method checks Device model.
            //update facets of controller and point
            that.updateFacets(that.state.bacnetDevice);
            //subscribe for changes
            sub.subscribe(bacnetDevice);
            sub.attach('changed', function (property) {
              if (property.getName() === 'status') {
                that.updateControllerStatus(bacnetDevice);
              }
            });
            that.updateControllerStatus(bacnetDevice);
          })["catch"](function (e) {
            baja.outln("Exception: " + e);
            that.setState({
              isLoading: false
            });
          });
        })["catch"](function (e) {
          baja.outln("Exception: " + e);
          that.setState({
            isLoading: false
          });
        });
      }
    }, {
      key: "getTuningPolicy",
      value: function getTuningPolicy() {
        this.state.presentValuePoint.serverSideCall({
          typeSpec: "honBACnetUtilities:HonServerSideCallHandler",
          methodName: "getTuningPolicy",
          value: "comp" // This is the argument for the Server Side Call
        }).then(function (response) {
          if (response !== null && response !== "error" && response !== "null") {
            this.state.manualOperatorPriorityValue = parseInt(response);
          }
          if (response === "error") {
            baja.outln("Error: Unable to find manualOperatorPriorityValue");
          }
        });
      }
    }, {
      key: "updateControllerStatus",
      value: function updateControllerStatus(bacnetDevice) {
        var that = this;
        var msg = "updateControllerStatus: bacnetDevice = " + bacnetDevice.getName();
        //baja.outln("Info : "+ msg);

        if (bacnetDevice) {
          //name of the controller
          that.setState({
            controllerName: SlotPath.unescape(bacnetDevice.getName())
          });
          //its status
          var status = baja.Status.make(bacnetDevice.getStatus().getBits());
          if (status.isValid()) {
            that.setState({
              deviceStatus: true
            });
            //find and subscribe bacnetVirtualObject
            baja.Ord.make(this.props.point.ord.toString()).get().then(function (comp) {
              //save an instance of present value point
              that.setPresentValueState(comp);
              return comp.serverSideCall({
                typeSpec: "honBACnetUtilities:HonServerSideCallHandler",
                methodName: "findBacnetVirtualObject",
                value: "comp" // This is the argument for the Server Side Call
              });
            }).then(function (response) {
              //once you get the bacnetVirtualObject, subscribe to it to get status updates
              var sub = that.props.widgetThat.getSubscriber();
              baja.Ord.make("station:|" + response).get({
                subscriber: sub
              }).then(function (comp) {
                var bacnetVirtualObject1 = comp;
                that.setState({
                  bacnetVirtualObject: comp
                }, function () {
                  msg = "bacnetVirtualObject: " + comp.getName();
                  msg += "; slotPath: " + comp.getSlotPath();
                });
                that.props.updateBacnetObject({
                  bacObject: bacnetVirtualObject1,
                  pointName: that.props.point.name,
                  handleOrd: that.props.dataPoint.getSlotPath().getBody()
                });
                //baja.outln("Info : "+console.log(msg));
                try {
                  sub.attach({
                    'changed': function changed(prop, cx) {
                      if (prop.getType().is("bacnet:BacnetVirtualProperty")) {
                        setTimeout(function () {
                          that.updateWidgetByPropertyId(jq, prop);
                        }, timeout);
                      }
                    },
                    'added': function added(prop) {
                      if (prop.getType().is("bacnet:BacnetVirtualProperty")) {
                        setTimeout(function () {
                          that.updateWidgetByPropertyId(jq, prop);
                        }, timeout);
                      }
                    },
                    'subscribed': function subscribed(cx) {}
                  });
                } catch (e) {}

                //load slots (BacnetVirtualProperty) and subscribe to them
                bacnetVirtualObject1.getSlots().properties().isComponent().each(function (slot) {
                  //baja.outln("Info: slot: name = " + slot.getName() + "; type = " + slot.getType());
                  if (slot.getType().is("bacnet:BacnetVirtualProperty")) {
                    // A Subscriber is used to listen to Component events in Niagara.
                    var sub = that.props.widgetThat.getSubscriber(),
                      prop = bacnetVirtualObject1.get(slot);

                    //update slots and their current values
                    prop.loadSlots();

                    //Initial update
                    that.updateWidgetByPropertyId(prop); //todo

                    //listen to changed event
                    sub.subscribe(prop);
                    sub.attach('changed', function () {
                      if (bacnetVirtualObject1.getName() === prop.getParent().getName()) {
                        setTimeout(function () {
                          that.updateWidgetByPropertyId(prop); //todo
                        }, timeout);
                      }
                    });
                  }
                });
              })["catch"](function (e) {
                dialogs.showOk("Bacnet device changed, please refresh this view manually to get right data");
                that.setState({
                  isLoading: false
                });
              })["finally"](function () {
                setTimeout(function () {
                  that.setState({
                    isLoading: false
                  });
                }, timeout);
              });
            })["catch"](function (err) {
              dialogs.showOk(err);
              that.setState({
                isLoading: false
              });
            });
          } else {
            that.setState({
              deviceStatus: false,
              isLoading: false
            });
          }
        }
      }
    }, {
      key: "loadPointProperties",
      value: function loadPointProperties() {
        var that = this;
        var dataPoint = this.props.dataPoint;
        try {
          baja.Ord.make(this.props.point.ord.toString()).get().then(function (comp) {
            that.setState({
              presentValuePoint: comp
            });
            //that.getTuningPolicy();
            return comp.serverSideCall({
              typeSpec: "honBACnetUtilities:HonServerSideCallHandler",
              methodName: "getBacnetVirtualPropIds",
              value: "comp" // This is the argument for the Server Side Call
            });
          }).then(function (response) {
            response = response.substring(1, response.length - 1);
            response = response.split(",");
            if (response.length <= 1) {
              if (dataPoint.get("AvailableBacnetProperties") !== null) {
                response = dataPoint.get("AvailableBacnetProperties");
                response = response.substring(1, response.length - 1);
                response = response.split(";");
              }
            }
            var propIdsSet = new Set();
            for (var i = 0; i < response.length; i++) {
              propIdsSet.add(parseInt(response[i].trim(), 10));
            }
            that.state.presentValuePoint.loadSlots();
            var proxyExt = that.state.presentValuePoint.getProxyExt();
            proxyExt.loadSlots();
            var objectType = proxyExt.toString().split(":")[0];
            that.setState({
              objectType: objectType,
              propIdSet: propIdsSet
            });
            //Check if user is read only or not
            that.state.presentValuePoint.serverSideCall({
              typeSpec: "honBACnetUtilities:HonServerSideCallHandler",
              methodName: "findUserRights"
            }).then(function (response) {
              var readonlyState = false;
              if (response === "true") {
                //that.state.isUserReadOnly = true;
                that.setState({
                  isUserReadOnly: true
                });
                readonlyState = true;
              } else {
                // that.state.isUserReadOnly = false;
                that.setState({
                  isUserReadOnly: false
                });
                readonlyState = false;
              }
              that.loadTabs(propIdsSet, objectType, that.state.presentValuePoint, readonlyState);

              //Subscribe HonBacnetUser Component
              that.state.presentValuePoint.serverSideCall({
                typeSpec: "honBACnetUtilities:HonServerSideCallHandler",
                methodName: "getHonBacnetUserComp"
              }).then(function (response) {
                var honBacnetUserSlotPath = response;
                var sub = that.props.widgetThat.getSubscriber();
                baja.Ord.make("station:|" + honBacnetUserSlotPath).get({
                  subscriber: sub
                }).then(function (comp) {
                  var honBacnetUserComp = comp;
                  sub.attach({
                    'changed': function changed(prop, cx) {
                      //updateFields(jq, presentValuePoint);
                      that.state.presentValuePoint.serverSideCall({
                        typeSpec: "honBACnetUtilities:HonServerSideCallHandler",
                        methodName: "findUserRights"
                      }).then(function (response) {
                        if (response === "true") {
                          that.setState({
                            isUserReadOnly: true
                          });
                        } else {
                          that.setState({
                            isUserReadOnly: false
                          });
                        }
                        //enableDisableField(jq,isUserReadOnly);
                      });
                    },

                    'subscribed': function subscribed(cx) {}
                  });
                  that.setState({
                    isLoadingProperties: false
                  });
                });
              });
            });
          })["catch"](function (err) {
            dialogs.showOk(err);
            that.setState({
              isLoadingProperties: false
            });
          });
        } catch (ex) {
          that.setState({
            isLoadingProperties: false
          });
          console.log(ex);
        }
      }
    }, {
      key: "loadTabs",
      value: function loadTabs(propIdSet, objectType, presentValuePoint, isUserReadOnly) {
        var that = this;
        var dataPoint = this.props.dataPoint;
        var presentValuePoint = this.state.presentValuePoint;
        var tabs = [];
        var loadAlarmTab = false,
          loadCmdTab = false,
          loadCounterTab = false,
          loadRefTab = false;
        try {
          if (objectType === "analogInput" || objectType === "analogOutput" || objectType === "analogValue" || objectType === "binaryInput" || objectType === "binaryValue" || objectType === "multiStateInput" || objectType === "multiStateValue" || objectType === "pulseConverter" || objectType === "loop") {
            if (propIdSet.has(HonBacnetUtils.TIME_DELAY)) {
              loadAlarmTab = true;
              tabs.push("alarming");
            }
          }
          if (objectType === "analogOutput" || objectType === "analogValue" || objectType === "binaryOutput" || objectType === "binaryValue" || objectType === "multiStateOutput" || objectType === "multiStateValue") {
            //if (!that.state.loadAlarmTab) {
            loadCmdTab = true;
            tabs.push("commandpriorities");
            //}
          }

          if (objectType === "binaryInput" || objectType === "binaryOutput" || objectType === "binaryValue") {
            if (propIdSet.has(HonBacnetUtils.CHANGE_OF_STATE_COUNT)) {
              loadCounterTab = true;
              tabs.push("counters");
            }
          }
          if (objectType === "loop") {
            if (!that.state.loadAlarmTab && !that.state.loadCmdTab && !that.state.loadCounterTab) {
              loadRefTab = true;
              tabs.push("reference");
            }
            presentValuePoint.serverSideCall({
              typeSpec: "honBACnetUtilities:HonServerSideCallHandler",
              methodName: "findPoint",
              value: "comp" // This is the argument for the Server Side Call
            }).then(function (response) {
              that.setState({
                pointVariablesColl: $.parseJSON(response)
              });
            });
            that.setState({
              presentValueDisabled: true
            });
          }
          tabs.push("other-properties");
          that.setState({
            loadAlarmTab: loadAlarmTab,
            loadCmdTab: loadCmdTab,
            loadCounterTab: loadCounterTab,
            loadRefTab: loadRefTab,
            loadOtherTab: true,
            tabs: tabs
          });
          that.setAnalogUnits();
          //set objectType value
          var s = objectType.replace(/([A-Z])/g, ' $1').replace(/^./, function (str) {
            return str.toUpperCase();
          });
          that.setState({
            pointTypeId: s
          });
          var facetsDisplay, values, str, optionsForSelect;
          var multiStateValues = [];
          //multiStateInput and multiStateValue: aapend stateTexts according to facets
          if (objectType === "multiStateInput" || objectType === "multiStateValue" || objectType === "multiStateOutput") {
            str = dataPoint.getFacetsDisplay1();
            facetsDisplay = str.substring(str.indexOf('{') + 1, str.indexOf('}'));
            values = facetsDisplay.split(',');
            values.forEach(function (entry) {
              var entry1 = SlotPath.unescape(entry);
              var element = entry1.split('=');
              if (element.length > 1) {
                multiStateValues.push({
                  value: element[1],
                  text: element[0]
                });
              }
            });
            that.setState({
              multiStateValues: multiStateValues,
              isMultiState: true
            });
          }
          if (objectType === "binaryInput" || objectType === "binaryOutput" || objectType === "binaryValue") {
            multiStateValues = [];
            facetsDisplay = dataPoint.getFacetsDisplay1();
            values = facetsDisplay.split(',');
            optionsForSelect = '';
            values.forEach(function (entry) {
              var entry1 = SlotPath.unescape(entry);
              var element = entry1.split('=');
              if (element.length > 1) {
                if (element[0] === "trueText") {
                  multiStateValues.push({
                    value: "1",
                    text: element[1]
                  });
                } else if (element[0] === "falseText") {
                  multiStateValues.push({
                    value: "0",
                    text: element[1]
                  });
                }
              }
            });
            that.setState({
              multiStateValues: multiStateValues,
              isMultiState: true
            });
          }
        } catch (e) {
          baja.outln("Exception: Error while loading tabs content: " + e);
        }
      }
    }, {
      key: "setAnalogUnits",
      value: function setAnalogUnits() {
        var that = this;
        var str = this.state.presentValuePoint.getFacetsDisplay1(),
          parts = str.split(',');
        parts.forEach(function (entry) {
          var entry1 = SlotPath.unescape(entry);
          if (entry1.indexOf("units") !== -1) {
            var element = entry1.split('=');
            if (element.length > 1) {
              if (element[1] !== null && element[1] !== "null") {
                that.setState({
                  unitLabel: element[1]
                });
              }
            }
          }
        });
      }
    }, {
      key: "getPointPrecision",
      value: function getPointPrecision() {
        var facets = presentValuePoint.getFacetsDisplay1();
        var parts = facets.split(',');
        for (var i = 0; i < parts.length; i++) {
          var entry = SlotPath.unescape(parts[i]);
          if (entry.indexOf("precision") !== -1) {
            var precisionArr = entry.split('=');
            if (precisionArr.length > 1) {
              if (precisionArr[1] !== null && precisionArr[1] !== "null") {
                return precisionArr[1];
              }
            }
            return null;
          }
        }
        return null;
      }
    }, {
      key: "updateWidgetByPropertyId",
      value: function updateWidgetByPropertyId(prop) {
        var that = this;
        //don't update if user started modifying values
        if (that.props.widgetThat.isModified()) {
          return;
        }
        try {
          var name = prop.getName();
          var value = prop.get("value");
          var id = prop.getPropertyId();
          var widgetId = name + "Id";
          var propertyTempValue = this.state.bacnetProperties.find(function (element) {
            return element.propertyId == id;
          });
          if (propertyTempValue == null || propertyTempValue == undefined) {
            if (id == HonBacnetUtils.OBJECT_IDENTIFIER && value == null) {
              value = that.getObjectId();
            }
            propertyTempValue = {
              propertyName: name,
              propertyValue: value,
              propertyId: id,
              isDef: true
            };
            //this.state.bacnetProperties.push(propertyTempValue);
          } else {
            propertyTempValue = _objectSpread({}, propertyTempValue);
          }

          //This is the widget to be updated
          var msg = "updateWidgetByPropertyId: ";
          msg += "prop = " + prop;
          msg += "; propertyName = " + name;
          msg += "; propertyValue: " + value;
          msg += "; propertyId: " + id;
          msg += "; widgetId: " + widgetId;
          if (id === HonBacnetUtils.ALARM_VALUES) {
            //baja.outln("Info : "+msg);
          }
          try {
            //convert value according to data type, then update value on widget
            //if (!value) {
            //return;
            //}
            if (value.isComponent()) {
              value.loadSlots();
            }
            if (value.getType().is("baja:Boolean")) {
              propertyTempValue.propertyValue = value ? 1 : 0;
              return;
            }
          } catch (e) {}
          //isEagleHawkController(jq);
          var p, elem;
          var v = "";
          var toNormal, toFault, toOffNormal, str, obj;
          var updatePriorityData = false,
            updateCounterTab = false,
            updateRefTabData = false;
          switch (id) {
            case HonBacnetUtils.PRIORITY_ARRAY:
              {
                p = 1;
                value.loadSlots();
                var priorityValues = [];
                value.getSlots().each(function (slot) {
                  try {
                    //baja.outln("HonBacnetUtils.PRIORITY_ARRAY: slot = " + slot + "; type = " + slot.getType());
                    if (slot.getType().is("bacnet:BacnetPriorityValue")) {
                      elem = "" + value.get(slot);
                      //baja.outln("HonBacnetUtils.PRIORITY_ARRAY: slot = " + slot + "; elem = " + elem);

                      if (elem !== "NULL") {
                        priorityValues.push({
                          priorityId: p,
                          value: elem
                        });
                        updatePriorityData = true;
                      }
                      p++;
                    }
                  } catch (e) {
                    baja.outln("HonBacnetUtils.PRIORITY_ARRAY: Exception: slot: " + slot + e);
                  }
                });
                propertyTempValue.propertyValue = priorityValues;
              }
              break;
            case HonBacnetUtils.EVENT_TIME_STAMPS:
              {
                p = 1;
                var eventTimeStampValues = [];
                value.loadSlots();
                value.getSlots().each(function (slot) {
                  try {
                    //baja.outln("HonBacnetUtils.EVENT_TIME_STAMPS: slot = " + slot);
                    if (slot.getType() && slot.getType().is("bacnet:BacnetTimeStamp")) {
                      elem = ("" + value.get(slot)).substring("timeStamp{dateTime}:".length);
                      //baja.outln("HonBacnetUtils.EVENT_TIME_STAMPS: slot = " + slot + "; elem = " + elem);

                      //jq.find('#' + widgetId + "_" + p).val(elem);
                      eventTimeStampValues.push({
                        eventTimeStampId: p,
                        value: elem
                      });
                      p++;
                    }
                  } catch (e) {
                    //baja.outln("Exception: HonBacnetUtils.EVENT_TIME_STAMPS: " + e);
                  }
                });
                if (propertyTempValue.isDef) {
                  propertyTempValue.propertyValue = eventTimeStampValues;
                  propertyTempValue.isDef = false;
                }
                if (!that.state.reqSent) {
                  that.setState({
                    reqSent: true
                  });
                  that.state.presentValuePoint.serverSideCall({
                    typeSpec: "honBACnetUtilities:HonServerSideCallHandler",
                    methodName: "getBacnetVirtualPropValue",
                    value: HonBacnetUtils.EVENT_TIME_STAMPS.toString() // This is the argument for the Server Side Call
                  }).then(function (response) {
                    if (response !== null && response !== "error" && response !== "") {
                      var timeStamp = that.state.bacnetProperties.find(function (element) {
                        return element.propertyId == HonBacnetUtils.EVENT_TIME_STAMPS;
                      });
                      var _eventTimeStampValues = [];
                      if (response.split(",").length > 2) {
                        _eventTimeStampValues.push({
                          eventTimeStampId: 1,
                          value: response.split(",")[0].replace("{", "").replace("}", "")
                        });
                        _eventTimeStampValues.push({
                          eventTimeStampId: 2,
                          value: response.split(",")[1].replace("{", "").replace("}", "")
                        });
                        _eventTimeStampValues.push({
                          eventTimeStampId: 3,
                          value: response.split(",")[2].replace("{", "").replace("}", "")
                        });
                        timeStamp.propertyValue = _eventTimeStampValues;
                      }
                    }
                    that.setState({
                      reqSent: false
                    });
                  });
                }
              }
              break;
            case HonBacnetUtils.STATE_TEXT:
              {
                p = 1;
                var stateTextValue = [];
                value.getSlots().each(function (slot) {
                  try {
                    //baja.outln("HonBacnetUtils.STATE_TEXT: slot = " + slot + "; type = " + slot.getType());
                    if (slot.getType().is("baja:String") && slot.getName().startsWith("element")) {
                      elem = "" + value.get(slot);
                      //baja.outln("HonBacnetUtils.STATE_TEXT: slot = " + slot + "; elem = " + elem);

                      if (elem !== "NULL") {
                        //jq.find('#' + widgetId + "_" + p).val(elem);
                        stateTextValue.push({
                          stateTextId: p,
                          value: elem
                        });
                      }
                      p++;
                    }
                  } catch (e) {
                    baja.outln("HonBacnetUtils.STATE_TEXT: Exception: slot: " + slot + e);
                  }
                });
                propertyTempValue.propertyValue = stateTextValue;
              }
              break;
            case HonBacnetUtils.FAULT_VALUES:
              {
                var faultValues = [];
                value.getSlots().each(function (slot) {
                  //baja.outln("updateWidgetByPropertyId: HonBacnetUtils.FAULT_VALUES: slot = " + slot);
                });
                str = prop.toString();
                if (str.length > 1) {
                  obj = str.substring(1, str.indexOf("}")).split(",");
                  obj.forEach(function (num) {
                    //$('#faultValues_' + num).attr('checked', true);
                    faultValues.push({
                      faultId: num,
                      value: true
                    });
                  });
                }
                propertyTempValue.propertyValue = faultValues;
              }
              break;
            case HonBacnetUtils.ALARM_VALUES:
              {
                var alarmValues = [];
                value.getSlots().each(function (slot) {
                  //baja.outln("updateWidgetByPropertyId: HonBacnetUtils.ALARM_VALUES: slot = " + slot);
                });
                str = prop.toString();
                if (str.length > 1) {
                  obj = str.substring(1, str.indexOf("}")).split(",");
                  obj.forEach(function (num) {
                    //$('#alarmValues_' + num).attr('checked', true);
                    alarmValues.push({
                      alarmId: num,
                      value: true
                    });
                  });
                }
                propertyTempValue.propertyValue = alarmValues;
              }
              break;
            case HonBacnetUtils.PRESENT_VALUE:
            case HonBacnetUtils.RELINQUISH_DEFAULT:
              var pValue = {
                numericValue: 0,
                multiStateValue: ''
              };
              // if (widget.is('input')) {
              //     pValue.numericValue = parseFloat(value).toFixed(2);
              // } else
              var precision = getPointPrecision();
              if (!that.state.isMultiState) {
                pValue.numericValue = precision !== null ? parseFloat(value).toFixed(precision) : that.props.widgetThat.val(value);
              } else if (isNaN(parseInt(value, 10))) {
                pValue.multiStateValue = value.isActive() ? 1 : 0;
              } else {
                pValue.multiStateValue = parseInt(value, 10);
              }
              propertyTempValue.propertyValue = pValue;
              //that.setState({ presentValue: pValue });

              break;
            case HonBacnetUtils.OBJECT_NAME:
              that.setState({
                pointName: SlotPath.unescape(value.toString())
              });
              propertyTempValue.propertyValue = SlotPath.unescape(value.toString());
              break;
            case HonBacnetUtils.LIMIT_ENABLE:
              {
                try {
                  value = value.toString().split(":")[0];
                  var highLimitEnable = parseInt(value, 10) & 1,
                    lowLimitEnable = parseInt(value, 10) & 2;
                  var limitEnableValue = {
                    highLimitEnabled: highLimitEnable === 1,
                    lowLimitEnabled: lowLimitEnable === 2
                  };
                  propertyTempValue.propertyValue = limitEnableValue;
                } catch (e) {
                  if (log.isLoggable(log.Level.FINEST)) {
                    log.finest("Error while updating LIMIT_ENABLE property.");
                  }
                }
              }
              break;
            case HonBacnetUtils.NOTIFICATION_CLASS:
              {
                propertyTempValue.propertyValue = parseInt(value, 10);
              }
              break;
            case HonBacnetUtils.SAFETY_POSITION:
              {
                v = value.toString();
                propertyTempValue.propertyValue = v;
                //TODO see original logic and handle in other property tab
              }

              break;
            case HonBacnetUtils.DIRECT_REVERSE:
              {
                propertyTempValue.propertyValue = parseInt(value, 10);
              }
              break;
            case HonBacnetUtils.TERMINAL_PV:
              {
                propertyTempValue.propertyValue = value.toString();
              }
              break;
            case HonBacnetUtils.SENSOR_OFFSET:
              {
                propertyTempValue.propertyValue = parseInt(value, 10);
              }
              break;
            case HonBacnetUtils.EOH_EOV_OPTIMIZATION_FLAG:
              {
                propertyTempValue.propertyValue = value.toString();
              }
              break;
            case HonBacnetUtils.DP_IS_SETPOINT:
              {
                propertyTempValue.propertyValue = value.toString();
              }
              break;
            case HonBacnetUtils.RESOLUTION:
              {
                propertyTempValue.propertyValue = value.toString();
              }
              break;
            case HonBacnetUtils.EVENT_ENABLE:
              {
                var eventEnable = {
                  toNormal: false,
                  toFault: false,
                  toOffNormal: false
                };
                try {
                  value = value.toString().split(":")[0];
                  toNormal = parseInt(value, 10) & 1;
                  toFault = parseInt(value, 10) & 2;
                  toOffNormal = parseInt(value, 10) & 4;
                  eventEnable.toNormal = toNormal === 1;
                  eventEnable.toFault = toFault === 2;
                  eventEnable.toOffNormal = toOffNormal === 4;
                } catch (e) {
                  console.log(e);
                }
                propertyTempValue.propertyValue = eventEnable;
              }
              break;
            case HonBacnetUtils.ACKED_TRANSITIONS:
              {
                var ackedTransitions = {
                  toNormal: false,
                  toFault: false,
                  toOffNormal: false
                };
                try {
                  value = value.toString().split(":")[0];
                  toNormal = parseInt(value, 10) & 1;
                  toFault = parseInt(value, 10) & 2;
                  toOffNormal = parseInt(value, 10) & 4;
                  ackedTransitions.toNormal = toNormal === 1;
                  ackedTransitions.toFault = toFault === 2;
                  ackedTransitions.toOffNormal = toOffNormal === 4;
                } catch (e) {
                  console.log(e);
                }
                propertyTempValue.propertyValue = ackedTransitions;
              }
              break;
            case HonBacnetUtils.STATUS_FLAGS:
              {
                try {
                  var statusFlags = {
                    outOfServiceChecked: false,
                    OverriddenChecked: false,
                    FaultChecked: false,
                    InAlarmChecked: false
                  };
                  value = value.toString().split(":")[0];
                  var outOfService = parseInt(value, 2) & 1,
                    overridden = parseInt(value, 2) & 2,
                    fault = parseInt(value, 2) & 4,
                    inAlarm = parseInt(value, 2) & 8;
                  statusFlags.outOfServiceChecked = outOfService === 1;
                  statusFlags.OverriddenChecked = overridden === 2;
                  statusFlags.FaultChecked = fault === 4;
                  statusFlags.InAlarmChecked = inAlarm === 8;
                  propertyTempValue.propertyValue = statusFlags;
                } catch (e) {}

                //Update presentValue accordingly
              }

              break;
            case HonBacnetUtils.UNITS:
              {
                v = value.toString();
                if (v !== null && v !== "error" && v !== "null" && v !== "" && v !== "No Units") {
                  propertyTempValue.propertyValue = v;
                }
              }
              break;
            case HonBacnetUtils.OUTPUT_UNITS:
              {
                var outputUnits = [];
                var _tPropValue = propertyTempValue;
                that.state.presentValuePoint.serverSideCall({
                  typeSpec: "honBACnetUtilities:HonServerSideCallHandler",
                  methodName: "findSymbol",
                  value: prop // This is the argument for the Server Side Call
                }).then(function (response) {
                  if (response !== null && response !== "error" && response !== "null" && response !== "" && response !== "No Units") {
                    outputUnits.push({
                      maxOutputUnit: response
                    });
                    outputUnits.push({
                      minOutputUnit: response
                    });
                    _tPropValue.propertyValue = outputUnits;
                    that.setState({
                      bacnetPropertyUpdatedTime: new Date().toString
                    });
                  }
                  if (response === "error") {
                    baja.outln("Error: Unable to find symbol for output units");
                  }
                });
              }
              break;
            case HonBacnetUtils.CONTROLLED_VARIABLE_UNITS:
              var tPropValue = propertyTempValue;
              that.state.presentValuePoint.serverSideCall({
                typeSpec: "honBACnetUtilities:HonServerSideCallHandler",
                methodName: "findSymbol",
                value: prop // This is the argument for the Server Side Call
              }).then(function (response) {
                if (response !== null && response !== "error" && response !== "null") {
                  // jq.find("#controlledVariableUnitsId").html(response);
                  tPropValue.propertyValue = response;
                  that.setState({
                    bacnetPropertyUpdatedTime: new Date().toString
                  });
                }
                if (response === "error") {
                  baja.outln("Error: Unable to find symbol for CONTROLLED_VARIABLE_UNITS:" + value);
                }
              });
              updateRefTabData = true;
              break;
            case HonBacnetUtils.PROPORTIONAL_VARANT_UNITS:
              {
                v = value.toString();
                propertyTempValue.propertyValue = v;
              }
              break;
            case HonBacnetUtils.INTEGRAL_VARANT_UNITS:
              {
                var _tPropValue2 = propertyTempValue;
                that.state.presentValuePoint.serverSideCall({
                  typeSpec: "honBACnetUtilities:HonServerSideCallHandler",
                  methodName: "findSymbol",
                  value: prop // This is the argument for the Server Side Call
                }).then(function (response) {
                  if (response !== null && response !== "error" && response !== "null") {
                    //jq.find('#integralConstantUnit').html(response);
                    _tPropValue2.propertyValue = response;
                    that.setState({
                      bacnetPropertyUpdatedTime: new Date().toString
                    });
                  }
                  if (response === "error") {
                    baja.outln("Error: Unable to find symbol for integral constant units");
                  }
                });
              }
              break;
            case HonBacnetUtils.DERIVATIVE_VARANT_UNITS:
              {
                var _tPropValue3 = propertyTempValue;
                that.state.presentValuePoint.serverSideCall({
                  typeSpec: "honBACnetUtilities:HonServerSideCallHandler",
                  methodName: "findSymbol",
                  value: prop // This is the argument for the Server Side Call
                }).then(function (response) {
                  if (response !== null && response !== "error" && response !== "null") {
                    //jq.find('#derivativeConstantUnit').html(response);
                    _tPropValue3.propertyValue = response;
                    that.setState({
                      bacnetPropertyUpdatedTime: new Date().toString
                    });
                  }
                  if (response === "error") {
                    baja.outln("Error: Unable to find symbol for derivative constant units");
                  }
                });
              }
              break;
            case HonBacnetUtils.ALARM_VALUE:
              //widget.val(value.isActive() ? 1 : 0);
              propertyTempValue.propertyValue = value.isActive() ? 1 : 0;
              break;
            case HonBacnetUtils.LOW_LIMIT:
            case HonBacnetUtils.HIGH_LIMIT:
            case HonBacnetUtils.DEADBAND:
            case HonBacnetUtils.ERROR_LIMIT:
              if (isNaN(parseInt(value, 10))) {
                propertyTempValue.propertyValue = 0;
              } else {
                propertyTempValue.propertyValue = value;
              }
              break;
            case HonBacnetUtils.OUT_OF_SERVICE:
              propertyTempValue.propertyValue = value ? 1 : 0;
              break;
            case HonBacnetUtils.SAFETY_VALUE:
              v = value.toString();
              if (v.equals("NULL")) {
                v = 0;
              }
              widget.val(v);
              var safetyValue = {
                value: v,
                lastValidVal: true
              };
              propertyTempValue.propertyValue = safetyValue;
              break;
            case HonBacnetUtils.ELAPSED_ACTIVE_TIME:
              v = HonBacnetUtils.convertSecondsToHMS(value.toString());
              propertyTempValue.propertyValue = v;
              updateCounterTab = true;
              break;
            case HonBacnetUtils.CHANGE_OF_STATE_COUNT:
              propertyTempValue.propertyValue = value.toString();
              updateCounterTab = true;
              break;
            case HonBacnetUtils.TIME_TO_OPEN:
              var timeToOpen = {
                timeToOpen: value.toString()
              };
              propertyTempValue.propertyValue = timeToOpen;
              break;
            case HonBacnetUtils.TIME_TO_CLOSE:
              jq.find("#timeToCloseId").val(value.toString());
              var timeToClose = {
                timeToClose: value.toString()
              };
              propertyTempValue.propertyValue = timeToClose;
              break;
            case HonBacnetUtils.CHANGE_OF_STATE_COUNT:
              propertyTempValue.propertyValue = value.toString();
              break;
            case HonBacnetUtils.TIME_DELAY:
              v = parseInt(value.toString(), 10);
              var timeDelay = {
                timeDelay: v,
                suppressAlarm: false
              };
              var isSuppress = v === 100000;
              if (isSuppress) {
                //$('#suppressAlarm').attr('checked', isSuppress);
                //widget.attr('disabled', 'disabled');
                timeDelay.suppressAlarm = isSuppress;
                //todo disable in tab
              }

              propertyTempValue.propertyValue = timeDelay;
              break;
            case HonBacnetUtils.TIME_DELAY_NORMAL:
              v = parseInt(value.toString(), 10);
              var timeDelayNormal = {
                timeDelayNormal: v,
                suppressAlarm: false
              };
              var isSuppress = v === 100000;
              if (isSuppress) {
                //$('#suppressAlarm').attr('checked', isSuppress);
                //widget.attr('disabled', 'disabled');
                //todo disable in tab
                timeDelayNormal.suppressAlarm = isSuppress;
              }
              propertyTempValue.propertyValue = timeDelayNormal;
              break;
            case HonBacnetUtils.MANIPULATED_VARIABLE_REFERENCE:
              var manipulatedVariableReference = {
                value: value.getObjectIdDisplay(),
                pointVariables: []
              };
              that.state.pointVariablesColl.pointVariables.forEach(function (pointObj) {
                if (pointObj.objectId === value.getObjectIdDisplay()) {
                  manipulatedVariableReference.pointVariables.push({
                    manRefObjName: pointObj.objectName
                  });
                  manipulatedVariableReference.pointVariables.push({
                    manReferenceObjVal: pointObj.objectValue
                  });
                  manipulatedVariableReference.pointVariables.push({
                    manReferenceObjStatus: pointObj.objectStatus
                  });
                  manipulatedVariableReference.pointVariables.push({
                    manReferenceObjPath: pointObj.objectPath
                  });
                }
              });
              propertyTempValue.propertyValue = manipulatedVariableReference;
              updateRefTabData = true;
              break;
            case HonBacnetUtils.CONTROLLED_VARIABLE_REFERENCE:
              var ctrlReferenceObj = {
                value: value.getObjectIdDisplay(),
                pointVariables: []
              };
              that.state.pointVariablesColl.pointVariables.forEach(function (pointObj) {
                if (pointObj.objectId === value.getObjectIdDisplay()) {
                  //$('#controlledVariableValueId').val(pointObj.objectValue);
                  ctrlReferenceObj.pointVariables.push({
                    ctrlRefObjName: pointObj.objectName
                  });
                  ctrlReferenceObj.pointVariables.push({
                    ctrlReferenceObjStatus: pointObj.objectStatus
                  });
                  ctrlReferenceObj.pointVariables.push({
                    ctrlReferenceObjPath: pointObj.objectPath
                  });
                }
              });
              propertyTempValue.propertyValue = ctrlReferenceObj;
              updateRefTabData = true;
              break;
            case HonBacnetUtils.SETPOINT_REFERENCE:
              var setPointReferenceObj = {
                value: value.getReference().getObjectIdDisplay(),
                pointVariables: []
              };
              that.state.pointVariablesColl.pointVariables.forEach(function (pointObj) {
                if (pointObj.objectId === value.getReference().getObjectIdDisplay()) {
                  setPointReferenceObj.pointVariables.push({
                    setPtRefObjName: pointObj.objectName
                  });
                  setPointReferenceObj.pointVariables.push({
                    setPtReferenceObjVal: pointObj.objectValue
                  });
                  setPointReferenceObj.pointVariables.push({
                    setPtReferenceObjStatus: pointObj.objectStatus
                  });
                  setPointReferenceObj.pointVariables.push({
                    setPtReferenceObjPath: pointObj.objectPath
                  });
                }
              });
              propertyTempValue.propertyValue = setPointReferenceObj;
              updateRefTabData = true;
              break;
            case HonBacnetUtils.CONTROLLED_VARIABLE_VALUE:
              propertyTempValue.propertyValue = parseFloat(value).toFixed(2);
              updateRefTabData = true;
              break;
            case HonBacnetUtils.ADJUST_VALUE:
              propertyTempValue.propertyValue = parseFloat(value).toFixed(2);
              break;
            case HonBacnetUtils.CURRENTLY_ACTIVE_PRIORITY:
              if (value.toString() === "17") {
                value = "Relinquish Default";
              }
              propertyTempValue.propertyValue = value.toString();
              break;
            default:
              {
                propertyTempValue.propertyValue = value.toString();
              }
              break;
          } //outer switch

          var stateVales = _toConsumableArray(that.state.bacnetProperties);
          var findIndex = stateVales.findIndex(function (item) {
            return item.propertyId == id;
          });
          if (findIndex >= 0) {
            stateVales[findIndex] = propertyTempValue;
          } else {
            stateVales.push(propertyTempValue);
          }
          that.setState(function (prevState) {
            return {
              bacnetPropertyUpdatedTime: new Date().toString,
              bacnetProperties: stateVales
            };
          });
          if (updatePriorityData && !this.props.widgetThat.isModified()) {
            setTimeout(function () {
              that.populateCommandPriorityProps(that.state.bacnetProperties);
            }, 150);
          }
          if (updateCounterTab && !this.props.widgetThat.isModified()) {
            setTimeout(function () {
              that.populateCounter(that.state.bacnetProperties);
            }, 500);
          }
          if (updateRefTabData && !this.props.widgetThat.isModified()) {
            setTimeout(function () {
              that.populateReferenceProps(that.state.bacnetProperties);
            }, 500);
          }
        } catch (e) {
          //widget is not defined for given propertyId
          //console.log("updateWidgetByPropertyId: caught an exception: " + e);
        }
      }
    }, {
      key: "getObjectId",
      value: function getObjectId() {
        try {
          return this.props.dataPoint.getProxyExt().getObjectId().$cEncStr;
        } catch (e) {
          console.log(e);
        }
        return "...";
      }
    }, {
      key: "populateOtherProps",
      value: function populateOtherProps(bacnetProperties) {
        var _this3 = this;
        var findObjectValue = function findObjectValue(value) {
          return bacnetProperties.filter(function (a) {
            return a.propertyId == value;
          });
        };
        var objType = [{
          propertyId: HonBacnetUtils.OBJECT_IDENTIFIER,
          propertyName: 'objectIdentifier'
        }, {
          propertyId: HonBacnetUtils.RELIABILITY,
          propertyName: 'reliability'
        }, {
          propertyId: HonBacnetUtils.EVENT_STATE,
          propertyName: 'eventState'
        }, {
          propertyId: HonBacnetUtils.COV_INCREMENT,
          propertyName: 'cOVIncrement'
        }, {
          propertyId: HonBacnetUtils.OUT_OF_SERVICE,
          propertyName: 'outOfService'
        }, {
          propertyId: HonBacnetUtils.RESOLUTION,
          propertyName: 'resoultion'
        }, {
          propertyId: HonBacnetUtils.UPDATE_INTERVAL,
          propertyName: 'updateInterval'
        }, {
          propertyId: HonBacnetUtils.PROPORTIONAL_VARANT,
          propertyName: 'proportional'
        }, {
          propertyId: HonBacnetUtils.INTEGRAL_VARANT,
          propertyName: 'integralConstant'
        }, {
          propertyId: HonBacnetUtils.DERIVATIVE_VARANT,
          propertyName: 'derivateConstant'
        }, {
          propertyId: HonBacnetUtils.BIAS,
          propertyName: 'bias'
        }, {
          propertyId: HonBacnetUtils.MAXIMUM_OUTPUT,
          propertyName: 'maximumOutput'
        }, {
          propertyId: HonBacnetUtils.MINIMUM_OUTPUT,
          propertyName: 'minimumOutput'
        }, {
          propertyId: HonBacnetUtils.UPDATE_INTERVAL,
          propertyName: 'updateInterval'
        }, {
          propertyId: HonBacnetUtils.ACTION,
          propertyName: 'action'
        }, {
          propertyId: HonBacnetUtils.PRIORITY_FOR_WRITING,
          propertyName: 'priorityForWriting'
        }, {
          propertyId: HonBacnetUtils.COV_PERIOD,
          propertyName: 'cOVPeriod'
        }, {
          propertyId: HonBacnetUtils.SENSOR_OFFSET,
          propertyName: 'sensorOffset'
        }, {
          propertyId: HonBacnetUtils.COUNT,
          propertyName: 'count'
        }, {
          propertyId: HonBacnetUtils.UPDATE_TIME,
          propertyName: 'updateTime'
        }, {
          propertyId: HonBacnetUtils.COUNT_CHANGE_TIME,
          propertyName: 'countChange'
        }, {
          propertyId: HonBacnetUtils.COUNT_BEFORE_CHANGE,
          propertyName: 'countBeforeChange'
        }, {
          propertyId: HonBacnetUtils.DIRECT_REVERSE,
          propertyName: 'directReverse'
        }, {
          propertyId: HonBacnetUtils.CURRENTLY_ACTIVE_PRIORITY,
          propertyName: 'currentlyActivePriority'
        }, {
          propertyId: HonBacnetUtils.INACTIVE_TEXT,
          propertyName: 'inActiveText'
        }, {
          propertyId: HonBacnetUtils.SCALE_FACTOR,
          propertyName: 'scaleFactor'
        }, {
          propertyId: HonBacnetUtils.DP_IS_SETPOINT,
          propertyName: 'dpIsSetpoint'
        }, {
          propertyId: HonBacnetUtils.EOH_EOV_OPTIMIZATION_FLAG,
          propertyName: 'eohEovOptimizationFlag'
        }, {
          propertyId: HonBacnetUtils.ACTIVE_TEXT,
          propertyName: 'activeText'
        }, {
          propertyId: HonBacnetUtils.SAFETY_VALUE,
          propertyName: 'safetyValue'
        }, {
          propertyId: HonBacnetUtils.TIME_TO_OPEN,
          propertyName: 'timeToOpen'
        }, {
          propertyId: HonBacnetUtils.TIME_TO_CLOSE,
          propertyName: 'timeToClose'
        }, {
          propertyId: HonBacnetUtils.ADJUST_VALUE,
          propertyName: 'adjustValue'
        }, {
          propertyId: HonBacnetUtils.POLARITY,
          propertyName: 'polarity'
        }];
        var totalObjVal = {};
        objType.forEach(function (item) {
          if (item.propertyName === 'objectIdentifier') {
            totalObjVal[item.propertyName] = _this3.getObjectId();
          } else {
            var getObjValue = findObjectValue(item.propertyId);
            if (getObjValue && getObjValue.length > 0) {
              totalObjVal[item.propertyName] = getObjValue[0].propertyValue != null ? getObjValue[0].propertyValue : '';
            } else {
              totalObjVal[item.propertyName] = '';
            }
            if ((item.propertyName === 'reliability' || item.propertyName === 'eventState' || item.propertyName === 'cOVIncrement') && totalObjVal[item.propertyName] == '') {
              totalObjVal[item.propertyName] = '...';
            }
          }
        });
        this.setState(function (prevState) {
          return {
            otherProps: _objectSpread(_objectSpread({}, prevState.otherProps), {}, {
              fieldValue: _objectSpread(_objectSpread({}, prevState.otherProps.fieldValue), totalObjVal)
            })
          };
        });
      }
    }, {
      key: "populateCounter",
      value: function populateCounter(bacnetProperties) {
        var stateItems = _objectSpread({}, this.state.counterProps);
        var temp2;
        var temp = bacnetProperties.filter(function (a) {
          return a.propertyId == HonBacnetUtils.CHANGE_OF_STATE_COUNT;
        });
        if (temp != null) {
          temp2 = temp.length > 0 ? temp[0].propertyValue : "";
          if (temp2 != null) {
            stateItems.stateCounterValue = temp2;
          }
        }
        temp = bacnetProperties.filter(function (a) {
          return a.propertyId == HonBacnetUtils.TIME_OF_STATE_COUNT_RESET;
        });
        if (temp != null) {
          temp2 = temp.length > 0 ? temp[0].propertyValue : "";
          if (temp2 != null) {
            stateItems.stateCountResetTime = temp2;
          }
        }
        temp = bacnetProperties.filter(function (a) {
          return a.propertyId == HonBacnetUtils.ELAPSED_ACTIVE_TIME;
        });
        if (temp != null) {
          temp2 = temp.length > 0 ? temp[0].propertyValue : "";
          if (temp2 != null) {
            stateItems.runtimeCounterValue = temp2;
          }
        }
        temp = bacnetProperties.filter(function (a) {
          return a.propertyId == HonBacnetUtils.TIME_OF_ACTIVE_TIME_RESET;
        });
        if (temp != null) {
          temp2 = temp.length > 0 ? temp[0].propertyValue : "";
          if (temp2 != null) {
            stateItems.runtimeLastResetTime = temp2;
          }
        }
        this.setState(function (prevState) {
          return _objectSpread(_objectSpread({}, prevState), {}, {
            counterProps: _objectSpread(_objectSpread({}, prevState.counterProps), stateItems)
          });
        });
      }
    }, {
      key: "populateCommandPriorityProps",
      value: function populateCommandPriorityProps(bacnetProperties) {
        var propertyValueItems;
        var priorityArray = bacnetProperties.filter(function (item) {
          return item.propertyId == HonBacnetUtils.PRIORITY_ARRAY;
        });
        if (priorityArray != null) {
          propertyValueItems = priorityArray.length > 0 ? priorityArray[0].propertyValue : "";
          if (propertyValueItems != null && propertyValueItems != "") {
            var pv = propertyValueItems.propertyValue;
            pv = pv != null ? pv : propertyValueItems;
            var findValue = function findValue(index) {
              return pv.filter(function (i) {
                return i.priorityId == index;
              });
            };
            var commandPriorityItems = _objectSpread({}, this.state.commandPriorityProps);
            for (var element in commandPriorityItems) {
              var index = Object.keys(commandPriorityItems).indexOf(element);
              var getValue = findValue(index + 1);
              commandPriorityItems[element] = getValue.length > 0 ? getValue[0].value : '';
            }
            this.setState(function (prevState) {
              return _objectSpread(_objectSpread({}, prevState), {}, {
                commandPriorityProps: _objectSpread(_objectSpread({}, prevState.commandPriorityProps), commandPriorityItems)
              });
            });
          }
        }
      }
    }, {
      key: "populateRelinquishDefaultProps",
      value: function populateRelinquishDefaultProps(bacnetProperties) {
        var relinquishDefaultVal = bacnetProperties.filter(function (item) {
          return item.propertyId == HonBacnetUtils.RELINQUISH_DEFAULT;
        });
        if (relinquishDefaultVal.length) {
          var _relinquishDefaultVal, _relinquishDefaultVal2;
          this.setState({
            relinquishDefault: !this.state.isMultiState ? (_relinquishDefaultVal = relinquishDefaultVal[0].propertyValue) === null || _relinquishDefaultVal === void 0 ? void 0 : _relinquishDefaultVal.numericValue : (_relinquishDefaultVal2 = relinquishDefaultVal[0].propertyValue) === null || _relinquishDefaultVal2 === void 0 ? void 0 : _relinquishDefaultVal2.multiStateValue
          });
        }
      }
    }, {
      key: "populateReferenceProps",
      value: function populateReferenceProps(bacnetProperties) {
        var listVal = _objectSpread({}, this.state.referenceTab.fieldValue);
        var temp2;
        var temp = bacnetProperties.filter(function (a) {
          return a.propertyId == HonBacnetUtils.MANIPULATED_VARIABLE_REFERENCE;
        });
        if (temp != null) {
          temp2 = temp.length > 0 ? temp[0].propertyValue : "";
          if (temp2 != null && temp2 != "") {
            var pv = temp2.pointVariables;
            var manRefObjName = pv.filter(function (i) {
              return i['manRefObjName'];
            });
            var manReferenceObjVal = pv.filter(function (i) {
              return i['manReferenceObjVal'];
            });
            var manReferenceObjPath = pv.filter(function (i) {
              return i['manReferenceObjPath'];
            });
            var manReferenceObjStatus = pv.filter(function (i) {
              return i['manReferenceObjStatus'];
            });
            listVal.manipulatedVariableReference.objectReferenceType = temp2.value;
            listVal.manipulatedVariableReference.objectReferenceName = manRefObjName[0].manRefObjName;
            listVal.manipulatedVariableReference.presentValue = manReferenceObjVal[0].manReferenceObjVal;
            listVal.manipulatedVariableReference.referenceObjectPath = manReferenceObjPath[0].manReferenceObjPath;
            listVal.manipulatedVariableReference.objectReferenceStatus = manReferenceObjStatus[0].manReferenceObjStatus;
          }
        }

        // control variable

        temp = bacnetProperties.filter(function (a) {
          return a.propertyId == HonBacnetUtils.CONTROLLED_VARIABLE_REFERENCE;
        });
        if (temp != null) {
          temp2 = temp.length > 0 ? temp[0].propertyValue : "";
          if (temp2 != null && temp2 != "") {
            var _pv = temp2.pointVariables;
            var ctrlRefObjName = _pv.filter(function (i) {
              return i['ctrlRefObjName'];
            });
            var _manReferenceObjPath = _pv.filter(function (i) {
              return i['ctrlReferenceObjPath'];
            });
            var _manReferenceObjStatus = _pv.filter(function (i) {
              return i['ctrlReferenceObjStatus'];
            });
            listVal.controlledVariableReference.objectReferenceType = temp2.value;
            listVal.controlledVariableReference.objectReferenceName = ctrlRefObjName[0].ctrlRefObjName;
            listVal.controlledVariableReference.referenceObjectPath = _manReferenceObjPath[0].ctrlReferenceObjPath;
            listVal.controlledVariableReference.objectReferenceStatus = _manReferenceObjStatus[0].ctrlReferenceObjStatus;
          }
        }
        temp = bacnetProperties.filter(function (a) {
          return a.propertyId == HonBacnetUtils.CONTROLLED_VARIABLE_VALUE;
        });
        if (temp != null && temp.length > 0) {
          listVal.controlledVariableReference.presentValue = temp[0].propertyValue || '';
        }
        temp = bacnetProperties.filter(function (a) {
          return a.propertyId == HonBacnetUtils.SETPOINT_REFERENCE;
        });
        if (temp != null) {
          temp2 = temp.length > 0 ? temp[0].propertyValue : "";
          if (temp2 != null && temp2 != "") {
            var _pv2 = temp2.pointVariables;
            listVal.setpointVariableReference.objectReferenceType = temp2.value;
            var _manRefObjName = _pv2.filter(function (i) {
              return i['setPtRefObjName'];
            });
            var _manReferenceObjVal = _pv2.filter(function (i) {
              return i['setPtReferenceObjVal'];
            });
            var _manReferenceObjPath2 = _pv2.filter(function (i) {
              return i['setPtReferenceObjPath'];
            });
            var _manReferenceObjStatus2 = _pv2.filter(function (i) {
              return i['setPtReferenceObjStatus'];
            });
            listVal.setpointVariableReference.objectReferenceName = _manRefObjName[0].setPtRefObjName;
            listVal.setpointVariableReference.presentValue = _manReferenceObjVal[0].setPtReferenceObjVal;
            listVal.setpointVariableReference.referenceObjectPath = _manReferenceObjPath2[0].setPtReferenceObjPath;
            listVal.setpointVariableReference.objectReferenceStatus = _manReferenceObjStatus2[0].setPtReferenceObjStatus;
          }
        }
        if (Object.keys(listVal).length > 0) {
          this.setState(function (prevState) {
            return _objectSpread(_objectSpread({}, prevState), {}, {
              referenceTab: _objectSpread(_objectSpread({}, prevState.referenceTab), {}, {
                fieldValue: _objectSpread({}, listVal)
              })
            });
          });
        }
      }
    }, {
      key: "getBacnetPropertyValue",
      value: function getBacnetPropertyValue(propId) {
        var value = null;
        var filteredProp = this.state.bacnetProperties.filter(function (a) {
          return a.propertyId == propId;
        });
        if (filteredProp.length > 0) {
          value = filteredProp[0].propertyValue;
        }
        return value;
      }
    }, {
      key: "render",
      value: function render() {
        var _this4 = this;
        var bacnetProperties = this.state.bacnetProperties;
        var descriptionsProp = this.state.bacnetProperties.filter(function (a) {
          return a.propertyName.indexOf("description") > -1;
        });
        var desc = descriptionsProp.length > 0 ? descriptionsProp[0].propertyValue : "";
        var sFlags = bacnetProperties.filter(function (a) {
          return a.propertyId == HonBacnetUtils.STATUS_FLAGS;
        });
        var statusFlagsDef = {
          outOfServiceChecked: false,
          OverriddenChecked: false,
          FaultChecked: false,
          InAlarmChecked: false
        };
        var statusFlags = sFlags.length > 0 ? sFlags[0].propertyValue : statusFlagsDef;
        if (statusFlags == null || statusFlags == undefined) {
          statusFlags = statusFlagsDef;
        }
        var pointTypeTxt = this.state.pointTypeId;
        var alarmValues = this.getBacnetPropertyValue(HonBacnetUtils.ALARM_VALUES);
        if (alarmValues == null || alarmValues.length == 0) {
          alarmValues = this.state.multiStateValues;
        }
        return /*#__PURE__*/React.createElement("div", {
          className: "container-fluid pl-5 pr-5 w-100 h-100"
        }, /*#__PURE__*/React.createElement(Spinner, {
          isLoading: this.state.isLoading || this.state.isLoadingProperties
        }), /*#__PURE__*/React.createElement(HonBacnetCommonComponent, {
          commonCallBack: this.commonCallBackHandler,
          pointTypeText: pointTypeTxt,
          controllerName: this.state.controllerName,
          deviceStatus: this.state.deviceStatus,
          pointName: this.state.pointName,
          description: desc,
          isMultiState: this.state.isMultiState,
          multiStateValues: this.state.multiStateValues,
          isManual: this.state.isManual,
          pointStatusFlags: statusFlags,
          presentValue: this.state.presentValue,
          pointOrd: this.props.point.ord,
          pointDisplayName: this.props.point.displayName,
          objectType: this.state.objectType,
          unitLabel: this.state.unitLabel,
          isSaved: !this.props.widgetThat.isModified()
        }), /*#__PURE__*/React.createElement(TabsComponent, {
          show: true,
          presentValuePoint: this.state.presentValuePoint,
          isUserReadOnly: this.state.isUserReadOnly,
          notificationClasses: this.state.notificationClasses,
          tabsArray: this.state.tabs,
          isSaved: !this.props.widgetThat.isModified(),
          bacnetProperties: this.state.bacnetProperties,
          populateOtherProps: function populateOtherProps(bacnetProperties) {
            return _this4.populateOtherProps(bacnetProperties);
          },
          populateCounter: function populateCounter(bacnetProperties) {
            return _this4.populateCounter(bacnetProperties);
          },
          otherProps: this.state.otherProps,
          counterProps: this.state.counterProps,
          populateReferenceProps: function populateReferenceProps(bacnetProperties) {
            return _this4.populateReferenceProps(bacnetProperties);
          },
          referenceTab: this.state.referenceTab,
          populateCommandPriorityProps: function populateCommandPriorityProps(bacnetProperties) {
            return _this4.populateCommandPriorityProps(bacnetProperties);
          },
          commandPriorityProps: this.state.commandPriorityProps,
          loadAlarmTab: this.state.loadAlarmTab,
          loadCounterTab: this.state.loadCounterTab,
          loadCmdTab: this.state.loadCmdTab,
          loadOtherTab: this.state.loadOtherTab,
          loadRefTab: this.state.loadRefTab,
          parentCallback: this.handleCallback,
          callBack: this.callBackHandler,
          objectType: this.state.objectType,
          propIdSet: this.state.propIdSet,
          multiStateValues: this.state.multiStateValues,
          populateRelinquishDefaultProps: function populateRelinquishDefaultProps(bacnetProperties) {
            return _this4.populateRelinquishDefaultProps(bacnetProperties);
          },
          relinquishDefaultProps: this.state.relinquishDefault,
          unitLabel: this.state.unitLabel,
          bacnetPropertyUpdatedTime: this.state.bacnetPropertyUpdatedTime,
          alarmValues: alarmValues
        }));
      }
    }]);
    return HonBacnetutilitiesProfile;
  }(React.Component);
  return HonBacnetutilitiesProfile;
});
